LOWDOWN_NROFF_NEW(3)

NAME
lowdown_nroff_new - allocate a roff renderer for lowdown documents

LIBRARY
liblowdown

SYNOPSIS
#include <sys/queue.h>
#include <stdio.h>
#include <lowdown.h>
void *
lowdown_nroff_new(const struct lowdown_opts *opts);

DESCRIPTION
The lowdown_nroff_new function allocates a roff renderer (using the man or ms macros) using the flags in opts, which may be NULL. It must be freed with a call to lowdown_nroff_free(3). The returned pointer may be used with multiple invocations of lowdown_nroff_rndr(3). If opts is not NULL and the renderer type is LOWDOWN_MAN, man formatting is used. Otherwise, ms.

If opts is NULL, the renderer uses no extensions and does not emit warnings.

RETURN VALUES
Always returns a valid pointer.

SEE ALSO
lowdown(3)